/// <reference types="react" />
import * as _backstage_core_components from '@backstage/core-components';
import * as _backstage_catalog_model from '@backstage/catalog-model';
import { Entity } from '@backstage/catalog-model';
import * as _backstage_core_plugin_api from '@backstage/core-plugin-api';

declare const gitlabPlugin: _backstage_core_plugin_api.BackstagePlugin<{}, {}, {}>;
declare const EntityGitlabContent: (_props: {
    entity?: _backstage_catalog_model.Entity | undefined;
}) => JSX.Element;
declare const EntityGitlabLanguageCard: ({}: {}) => JSX.Element;
declare const EntityGitlabContributorsCard: ({}: {}) => JSX.Element;
declare const EntityGitlabMergeRequestsTable: ({}: {}) => JSX.Element;
declare const EntityGitlabMergeRequestStatsCard: (props: {
    entity?: _backstage_catalog_model.Entity | undefined;
    variant?: _backstage_core_components.InfoCardVariants | undefined;
}) => JSX.Element;
declare const EntityGitlabPipelinesTable: ({}: {}) => JSX.Element;
declare const EntityGitlabIssuesTable: ({}: {}) => JSX.Element;

declare const isGitlabAvailable: (entity: Entity) => boolean;

export { EntityGitlabContent, EntityGitlabContributorsCard, EntityGitlabIssuesTable, EntityGitlabLanguageCard, EntityGitlabMergeRequestStatsCard, EntityGitlabMergeRequestsTable, EntityGitlabPipelinesTable, gitlabPlugin, isGitlabAvailable };
